%define fw_version 5.24

Summary:	KDE Frameworks 5 module with various classes for window management
Name:		kwindowsystem
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-keysyms)
BuildRequires:	pkgconfig(xrender)

%description
KDE Frameworks 5 module with various classes for window management.

KWindowSystem provides access to certain properties and features of the
window manager.

KWindowSystem provides information about the state of the window
manager and allows asking the window manager to change them using a
more high-level interface than the NETWinInfo/NETRootInfo lowlevel
classes.

%files
%{_kde5_plugindir}/org.kde.kwindowsystem.platforms/KF5WindowSystemWaylandPlugin.so
%{_kde5_plugindir}/org.kde.kwindowsystem.platforms/KF5WindowSystemX11Plugin.so

#----------------------------------------------------------------------------

%package i18n
Summary:	KWindowSystem translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KWindowSystem translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5windowsystem_major 5
%define libkf5windowsystem %mklibname kf5windowsystem %{kf5windowsystem_major}

%package -n %{libkf5windowsystem}
Summary:	KDE Frameworks 5 KWindowSystem shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5windowsystem}
KDE Frameworks 5 KWindowSystem shared library.

%files -n %{libkf5windowsystem}
%{_kde5_libdir}/libKF5WindowSystem.so.%{kf5windowsystem_major}*

#----------------------------------------------------------------------------

%define devkf5windowsystem %mklibname kf5windowsystem -d

%package -n %{devkf5windowsystem}
Summary:	Development files for KDE Frameworks 5 KWindowSystem
Group:		Development/KDE and Qt
Requires:	%{libkf5windowsystem} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5windowsystem-devel = %{version}

%description -n %{devkf5windowsystem}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5windowsystem}
%{_kde5_includedir}/KF5/KWindowSystem
%{_kde5_includedir}/KF5/kwindowsystem_version.h
%{_kde5_libdir}/cmake/KF5WindowSystem
%{_kde5_libdir}/libKF5WindowSystem.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (5b4cd5e) New version 5.24.0


